complexType "Asian"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 4 elements
Defined: | globally in fpml-option-shared-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | averagingInOut?, strikeFactor?, averagingPeriodIn?, averagingPeriodOut?
</...>

Content Model Elements (4):

  averagingInOut, averagingPeriodIn, averagingPeriodOut, strikeFactor

All Direct / Indirect Based Elements (2):

  asian (in feature defined in Feature.model group), | asian (in feature defined in OptionBaseExtended complexType)

Known Usage Locations

- As direct type of elements (2):

  asian (in feature defined in Feature.model group), | asian (in feature defined in OptionBaseExtended complexType)

Annotation
As per ISDA 2002 Definitions.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="Asian"> <xsd:sequence> <xsd:element minOccurs="0" name="averagingInOut" type="AveragingInOutEnum"/> <xsd:element minOccurs="0" name="strikeFactor" type="xsd:decimal"/> <xsd:element minOccurs="0" name="averagingPeriodIn" type="AveragingPeriod"/> <xsd:element minOccurs="0" name="averagingPeriodOut" type="AveragingPeriod"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
averagingInOut

  Type: | AveragingInOutEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "In" | - | The average price is used to derive the strike price. Also known as "Asian strike" style option. See: http://www.FpML.org
  "Out" | - | The average price is used to derive the expiration price. Also known as "Asian price" style option. See: http://www.FpML.org
  "Both" | - | The average price is used to derive both the strike and the expiration price. See: http://www.FpML.org

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="averagingInOut" type="AveragingInOutEnum"/>

averagingPeriodIn

  Type: | AveragingPeriod, complex content

  The averaging in period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averagingPeriodIn" type="AveragingPeriod"/>

averagingPeriodOut

  Type: | AveragingPeriod, complex content

  The averaging out period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averagingPeriodOut" type="AveragingPeriod"/>

strikeFactor

  Type: | xsd:decimal, predefined, simple content

  The factor of strike.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="strikeFactor" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.